- Qt 6.11
- Qt GUI
- C++ Classes
- EulerAngles
- Qt 6.11.2 Reference Documentation

# QQuaternion::EulerAngles Struct

template <typename T> struct QQuaternion::EulerAngles

This struct was introduced in Qt 6.11.

- List of all members, including inherited members
- EulerAngles is part of Rendering in 3D.

## Public Variables

T | pitch
T | roll
T | yaw

## Detailed Description

A struct containing three fields pitch, yaw, and roll, representing the three Euler angles that define a quaternion.

Consult the documentation of functions taking or returning an EulerAngles object for the order in which the rotations are applied.

See also QQuaternion::eulerAngles() and QQuaternion::fromEulerAngles(QQuaternion::EulerAngles<float>).

## Member Variable Documentation

### T EulerAngles::pitch

The pitch represents the rotation around the x-axis.

### T EulerAngles::roll

The roll represents the rotation around the z-axis.

### T EulerAngles::yaw

The yaw represents the rotation around the y-axis.